#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#else
precision mediump float;
#endif

// Uniforms
uniform sampler2D u_texture;
uniform float u_power;
uniform float u_step;

// Varyings
varying vec2 v_texCoord;

void main()
{
    vec4 texL = texture2D(u_texture, v_texCoord);
    vec4 texR = texture2D(u_texture, vec2(v_texCoord.x + 0.5,  v_texCoord.y));

    if (u_step > 0.0) {
        gl_FragColor = vec4(texL.rgb, step(u_step, texR.r + (u_power - 1.0)));
    } else {
        gl_FragColor = vec4(texL.rgb, texR.r + (u_power - 1.0));
    }
}
